# knk-state-machine
Kanokkul's State Machine


## Input format

### inp
- sID: session ID
- seq: Sequence
- ~stp: Step~
- data: data
- stt: state
- ttl: Time to Live (expire in second)
### out
**List of**
- arn
- url: resource URL
- taskToken: step function [task token](https://docs.aws.amazon.com/step-functions/latest/dg/connect-to-resource.html)


## Output format

### inp (As output)
- sID: session ID
- seq: Sequence
- ~stp: Step~
- data: data
- stt: state
- ttl: Time to Live (expire in second)
### out (optional output route for next step)
**List of**
- arn
- url: resource URL
- taskToken: step function [task token](https://docs.aws.amazon.com/step-functions/latest/dg/connect-to-resource.html)

## Serializer
JSON or ORJSON